Subject: Re: Standards (fwd)

From: Bernie Roehl <[email-masked]>
Date: Thu, 24 Oct 91 0:16:50 EDT

> From: [email-masked] (Jennifer Cross - pgmr)
> > After some careful thought, I've come to the conclusion that the various
> > VR input devices will be too varied to make a single, universal interface
> > practical.
>     Depends at which level of abstration you use.  SGI have a neat tool called
>     "ConMan"  which uses a pipe type metaphor to "connect" processes.  With
>     this, you could "connect" each of the PG output steams to various
>     functions and customise the interface without any programming.
>     (each process specifies it's input and output sockets to ConMan, and
>     it manages the data flow).

Sounds great, but maybe a bit complex for what we're trying to do.
 
> > Since we wll probably have a set of routines for each VR input device we
> > develop, I would propose a naming convention: all the routines related to
> > the glove we love will have names prefixed with "glove_".  Thus our
>                                     ^^^^^^^^ no no no!  Suffixed!
>   This allows like routines to be grouped by function (again abstracting
>   from the specific).  This would also make (next level up) routines like
>         init(GLOVE)  reasonable. 

I'm flexible; what is the preference of the list?   (Bear in mind this
is easy to fix later with #define's)

> > Host sends 'H' to board to put glove in hi-res mode
> > Host sends 'P' to board to poll it for a 6-byte packet
> > [etc]
>   use numeric commands and reserve (top?) bit for "extended command"

Okay, how about 0x48 to put glove in high-res mode, 0x50 to poll the glove...
:-)

> Great Job - managed to provoke me to submit!

Welcome aboard -- the more minds, the better.

-- 
	Bernie Roehl, University of Waterloo Electrical Engineering Dept
	Mail: [email-masked] OR [email-masked]
	BangPath: watmath!sunee!broehl
	Voice:  (519) 885-1211 x 2607 [work]